\begin{table}[htbp]
\begin{adjustbox}{max width=\textwidth}
\begin{tabular}{|c||c|c|c|c|c|c|c|c|c|}
\hline
\textit{Threads} & 1    & 2    & 4    & 8    & 16   & 32    & 68    & 136   & 272  \\ \hline \hline
Intel i5 7600    & 1.00 & 1.24 & 1.25 & ---  & ---  & ---   & ---   & ---   & ---  \\ \hline
GTX 1050 Ti      & 1.00 & ---  & ---  & ---  & ---  & ---   & ---   & ---   & ---  \\ \hline
KNL              & 1.00 & 1.35 & 2.62 & 4.89 & 8.55 & 12.21 & 14.86 & 12.24 & 7.50 \\ \hline
\end{tabular}
\end{adjustbox}
\caption{\textit{Speedup} en el tratamiento de la imagen \texttt{florencia\_color} mediante el método variacional.}
\label{tab:speedup-florencia-variacional}
\end{table}